<?php
ob_start(); //for the header() bug.
include("../include/php/session.php");
include("../include/lang/languages.php");

/**
 * displayUsers - Displays the users database table in
 * a nicely formatted html table.
 */
function displayUsers()
{
    global $database;
    $q        = "SELECT username,userlevel,email,timestamp " . "FROM " . TBL_USERS . " ORDER BY userlevel DESC,username";
    $result   = $database->query($q);
    /* Error occurred, return given name by default */
    $num_rows = mysql_numrows($result);
    if (!$result || ($num_rows < 0)) {
        echo "Error displaying info";
        return;
    }
    if ($num_rows == 0) {
        echo "Database table empty";
        return;
    }
    /* Display table contents */
    echo "<table align=\"left\" border=\"1\" cellspacing=\"0\" cellpadding=\"3\">\n";
    echo "<tr><td><b>Username</b></td><td><b>Email</b></td>\n";
    for ($i = 0; $i < $num_rows; $i++) {
        $uname = mysql_result($result, $i, "username");
        $email = mysql_result($result, $i, "email");
        
        echo "<tr><td>$uname</td><td>$email</td></tr>\n";
    }
    echo "</table><br>\n";
}

/**
 * displayBannedUsers - Displays the banned users
 * database table in a nicely formatted html table.
 */
function displayBannedUsers()
{
    global $database;
    $q        = "SELECT username,timestamp " . "FROM " . TBL_BANNED_USERS . " ORDER BY username";
    $result   = $database->query($q);
    /* Error occurred, return given name by default */
    $num_rows = mysql_numrows($result);
    if (!$result || ($num_rows < 0)) {
        echo "Error displaying info";
        return;
    }
    if ($num_rows == 0) {
        echo "Database table empty";
        return;
    }
    /* Display table contents */
    echo "<table align=\"left\" border=\"1\" cellspacing=\"0\" cellpadding=\"3\">\n";
    echo "<tr><td><b>Username</b></td><td><b>Time Banned</b></td></tr>\n";
    for ($i = 0; $i < $num_rows; $i++) {
        $uname = mysql_result($result, $i, "username");
        $time  = mysql_result($result, $i, "timestamp");
        
        echo "<tr><td>$uname</td><td>$time</td></tr>\n";
    }
    echo "</table><br>\n";
}

/**
 * User not an administrator, redirect to main page
 * automatically.
 */
if (!$session->isAdmin()) {
    header("Location: ../index.php");
} else {
    /**
     * Administrator is viewing page, so display all
     * forms.
     */
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Quicknube | Admin Panel <?php
echo "$session->username";
?></title>
		<link rel="shortcut icon" href="include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 830px)" type="text/css" href="../include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 830px)" type="text/css" href="../include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		<link rel="stylesheet" type="text/css" href="../include/css/jquery.mCustomScrollbar.css" />
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script type="text/javascript" src="../include/js/jquery.mCustomScrollbar.concat.min.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('.wrapper-gn-f').hide().fadeIn('slow');
				});
		</script>
	</head>
	<body>
	<?php
if ($session->logged_in) { //If the user is logged in, he can see his personal files.php page.
?>
		<div class="header">
			<div class="logo-wrap">
				<a href="../index.php"><div class="logo-img"></div></a>
			</div>
			<ul class="mobile-yes">
				<a href="upload.php?folder=/"><li><div class="upload-button"><?php echo "$lang_upload"; ?></div></li></a>
				<a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><li><div class="new-button"><?php echo "$lang_new_folder"; ?></div></li></a>
				<a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><li><div class="move-button"><?php echo "$lang_copy"; ?></div></li></a>
				<a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>')"><li><div class="remove-button"><?php echo "$lang_remove"; ?></div></li></a>
			</ul>
			<ul id="nav-mobile" class="mobile-no">
				<li class="nav-ps-mobile"><a href="#"></a>
					<ul>
						<li><a href="upload.php?folder=<?php
				echo "$uplfolder";
?>"><?php echo "$lang_upload"; ?></a></li>
						<li><a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><?php echo "$lang_new_folder"; ?></a></li>
						<li><a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><?php echo "$lang_copy"; ?></a></li>
						<li class="last"><a href="#" onclick="alert('<?php echo "$lang_search_act"; ?>');"><?php echo "$lang_remove"; ?></a></li>
					</ul>
					<div class="clear"></div>
				</li>
			</ul>
			<input type="text" name="search" class="search-header" value="<?php echo "$lang_search"; ?>" onblur="if(value=='') value = '<?php echo "$lang_search"; ?>'" onfocus="if(value=='<?php echo "$lang_search"; ?>') value = ''" onclick="alert('<?php echo "$lang_search_act"; ?>');"/>
			<ul id="nav">
				<li class="nav-ps"><a href="#"><?php
				echo "$session->username";
?></a>
					<ul>
						<li><a href="useredit.php"><?php echo "$lang_settings"; ?></a></li>
						<li class="last"><a href="process.php"><?php echo "$lang_logout"; ?></a></li>
					</ul>
					<div class="clear"></div>
				</li>
			</ul>
		</div>
			
		<div class="sidebar-rp">
			<div class="sidebar-rp-filters">
				<a href="../files.php?folder=/">
					<ul>
						<li data-filter="image"><div class="sidebar ico-picture"></div><?php echo "$lang_pictures"; ?></li>
						<li data-filter="sound"><div class="sidebar ico-sound"></div><?php echo "$lang_sounds"; ?></li>
						<li data-filter="video"><div class="sidebar ico-video"></div><?php echo "$lang_videos"; ?></li>
						<li data-filter="text"><div class="sidebar ico-text"></div><?php echo "$lang_texts"; ?></li>
						<li data-filter="folder"><div class="sidebar ico-folder"></div><?php echo "$lang_folders"; ?></li>
						<li data-filter="other"><div class="sidebar ico-other"></div><?php echo "$lang_other"; ?></li>
					</ul>
				</a>
			</div>
			<div class="sidebar-rp-stats">
			<?php
				include "../include/php/foldersize.php"; //This script estimates the space occupied by the user.
				
				$spaziooccupato_mb    = foldersize("files/$session->username") / (1024 * 1024);
				$spaziodisponibile_mb = (USER_SPACE * 1024) - $spaziooccupato_mb;
				
				$spaziooccupato_perc = (100 * $spaziooccupato_mb) / (USER_SPACE * 1024);
?>
				<div class="rp-stats-progressbar-wr">
					<div class="rp-stats-progressbar-pb" style="width: <?php
				echo ceil(($spaziooccupato_perc)) . "%";
?>"></div>
				</div>
				<h2><?php
				echo ceil(($spaziodisponibile_mb)) . " MB";
?></h2>
				<h2><?php echo "$lang_available"; ?></h2>
			</div>
		</div>
		
		<div class="wrapper-gn-f">
		<div class="file">
		<?php
    if ($form->num_errors > 0) {
        echo "<font size=\"4\" color=\"#ff0000\">" . "!*** Error with request, please fix</font><br><br>";
    }
?>
				<h4>Users Table Contents</h4>
				<div id="content_scroll">
					<?php
    displayUsers();
?></div><br /><br />

				<h4>Delete User</h4>
				<?php
    echo $form->error("deluser");
?>
				<form action="adminprocess.php" method="POST" >
					<input type="text" class="input-admin" name="deluser" maxlength="30" value="Username" onblur="if(value=='') value = 'Username'" onfocus="if(value=='Username') value = ''">
					<button class="button-admin">Delete User</button>
					<div style="clear: both"></div>
					<input type="hidden" name="subdeluser" value="1">
				</form><br /><br />
		<div class="admin-users-table">
			<div class="admin-micro-table-left">
				<h4>Banned Users Table Contents</h4>
				<div class="ulli-admin">
					<?php
    displayBannedUsers();
?>
				</div><br /><br />
			</div>
				<h4>Ban User</h4>
				<?php
    echo $form->error("banuser");
?>
				<form action="adminprocess.php" method="POST">
					<input type="text" class="input-admin" name="banuser" maxlength="30" value="Username" onblur="if(value=='') value = 'Username'" onfocus="if(value=='Username') value = ''">
					<input type="hidden" name="subbanuser" value="1">
					<button class="button-admin">Ban User</button>
					<div style="clear: both"></div>
				</form><br />
				<h4>Delete Banned User</h4>
				<?php
    echo $form->error("delbanuser");
?>
				<form action="adminprocess.php" method="POST">
					<input type="text" class="input-admin" name="delbanuser" maxlength="30" value="Username" onblur="if(value=='') value = 'Username'" onfocus="if(value=='Username') value = ''">
					<input type="hidden" name="subdelbanned" value="1">
					<button class="button-admin">Delete Banned</button>
					<div style="clear: both"></div>
				</form><br />
			</div>
		</div>
		</div>

<script src="../include/js/jquery.mCustomScrollbar.concat.min.js"></script>
	<script>
		(function($){
			$(window).load(function(){
				$("#sdfi3").mCustomScrollbar({
					scrollButtons:{
						enable:false
					}
, horizontalScroll:true				});
			});
		})(jQuery);
	</script>
	<?php
} else { //If the user is not logged in, he will go to the page login.php
				header("Location: login.php");
}
}
?>
	<script>
		(function($){
			$(window).load(function(){
				$("#content_scroll").mCustomScrollbar({
					scrollButtons:{
						enable:true
					}
				});
			});
		})(jQuery);
	</script>
	<script type="text/javascript">
				$(document).ready(function () {
					$('#nav li').hover(
						function () {
							//mostra sottomenu
							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {
							//nascondi sottomenu
							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});
				$(document).ready(function () {
					$('#nav-mobile li').hover(
						function () {
							//mostra sottomenu
							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {
							//nascondi sottomenu
							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});
	</script>
	<script language="javascript" type="text/javascript"> 
		function showhide(id){ 
			if (document.getElementById){ 
			obj = document.getElementById(id); 
				if (obj.style.display == "none"){ 
				obj.style.display = ""; 
				} else { 
				obj.style.display = "none"; 
				} 
			} 
		} 
	</script>
	</body>
</html>
