<?php
/**
 * Database Constants - these constants are required
 * in order for there to be a successful connection
 * to the MySQL database. Make sure the information is
 * correct.
 */
define("DB_SERVER", "localhost");
define("DB_USER", "root"); //enter your database username
define("DB_PASS", ""); //databse password
define("DB_NAME", "quicknube"); //database name

/**
 * Database Table Constants - these constants
 * hold the names of all the database tables used
 * in the script.
 */
define("TBL_USERS", "blog_users");
define("TBL_ACTIVE_USERS", "blog_active_users");
define("TBL_ACTIVE_GUESTS", "blog_active_guests");
define("TBL_BANNED_USERS", "blog_banned_users");

/**
 * Do not write in these constants, please.
 */
define("ADMIN_NAME", "admin");
define("GUEST_NAME", "Guest");
define("ADMIN_LEVEL", 9);
define("USER_LEVEL", 1);
define("GUEST_LEVEL", 0);

/**
 * This boolean constant controls whether or
 * not the script keeps track of active users
 * and active guests who are visiting the site.
 */
define("TRACK_VISITORS", true);

/**
 * Timeout Constants - these constants refer to
 * the maximum amount of time (in minutes) after
 * their last page fresh that a user and guest
 * are still considered active visitors.
 */
define("USER_TIMEOUT", 10);
define("GUEST_TIMEOUT", 5);

/**
 * Cookie Constants - these are the parameters
 * to the setcookie function call, change them
 * if necessary to fit your website. If you need
 * help, visit www.php.net for more info.
 * <http://www.php.net/manual/en/function.setcookie.php>
 */
define("COOKIE_EXPIRE", 60 * 60 * 24 * 100); //100 days by default
define("COOKIE_PATH", "/"); //Avaible in whole domain

/**
 * Email Constants - these specify what goes in
 * the from field in the emails that the script
 * sends to users, and whether to send a
 * welcome email to newly registered users.
 */
define("EMAIL_FROM_NAME", "Your Name");
define("EMAIL_FROM_ADDR", "system@quicknube.com");
define("EMAIL_WELCOME", true); //set this false if you do not want your users to receive a welcome Email after registration

/**
 * This constant forces all users to have
 * lowercase usernames, capital letters are
 * converted automatically.
 */
define("ALL_LOWERCASE", false);
/**
 * This is the total space of your system.
 * Set the total space in gb. For example, if your server gives you 20gb, 
 * and you want to dedicate them to quicknube, enter 20.
 */
define("TOT_SPACE", 50);
/**
 * This is the total space for an user in gb.
 * This is the total space for a user, 
 * if he has run out of space, he can no longer upload files.
 */
define("USER_SPACE", 5);
/**
 * This is your code license. 
 * If 0 means that the software has not been activated and we will not help you. 
 * For more information visit the official page.
 * This constant is not required for the operation of Quicknube, 
 * leave 0 if you wish to use anyway Quicknube.
 */
define("SYSTEM_LICENSE", 0);
/**
 * This is the language that will be used on your system.
 * The available languages are: English, French, German, Italian.
 * Enter "eng" for English, "ger" for German, "fre" for French or "ita" for Italian.
 */
define("SYSTEM_LANG", "fa");
/**
 * This is your directory, leave blank if quicknube has been installed on the home server.
 * Add slash in front of the folder and enter the name otherwise, as in this example: "/quicknube".
 * We recommend installing Quiknube in a folder called "quicknube"
 */
define("SYSTEM_DIRECTORY", "/quicknube");
?>
